## node-babel7 7.4.5

=== Makefile ===
MAKEFLAGS = -j1
FLOW_COMMIT = 2ac56861e3ceff9ca406ae586fbafb3480c6c0b7
TEST262_COMMIT = de567d3aa5de4eaa11e00131d26b9fe77997dfb0

# Fix color output until TravisCI fixes https://github.com/travis-ci/travis-ci/issues/7967
export FORCE_COLOR = true

SOURCES = packages codemods

.PHONY: build build-dist watch lint fix clean test-clean test-only test test-ci publish bootstrap

build: clean clean-lib
	./node_modules/.bin/gulp build
	node ./packages/babel-standalone/scripts/generate.js
	node ./packages/babel-types/scripts/generateTypeHelpers.js
	# call build again as the generated files might need to be compiled again.
	./node_modules/.bin/gulp build
	# generate flow and typescript typings
	node packages/babel-types/scripts/generators/flow.js > ./packages/babel-types/lib/index.js.flow
	node packages/babel-types/scripts/generators/typescript.js > ./packages/babel-types/lib/index.d.ts
ifneq ("$(BABEL_COVERAGE)", "true")
	make build-standalone
	make build-preset-env-standalone
endif

build-standalone:
	./node_modules/.bin/gulp build-babel-standalone

build-preset-env-standalone:
	./node_modules/.bin/gulp build-babel-preset-env-standalone

prepublish-build-standalone:
	BABEL_ENV=production IS_PUBLISH=true ./node_modules/.bin/gulp build-babel-standalone

prepublish-build-preset-env-standalone:
	BABEL_ENV=production IS_PUBLISH=true ./node_modules/.bin/gulp build-babel-preset-env-standalone

build-dist: build
	cd packages/babel-polyfill; \
	scripts/build-dist.sh
	cd packages/babel-plugin-transform-runtime; \
	node scripts/build-dist.js

watch: clean clean-lib

	# Ensure that build artifacts for types are created during local
	# development too.
	BABEL_ENV=development ./node_modules/.bin/gulp build-no-bundle
	node ./packages/babel-types/scripts/generateTypeHelpers.js
	node packages/babel-types/scripts/generators/flow.js > ./packages/babel-types/lib/index.js.flow
	node packages/babel-types/scripts/generators/typescript.js > ./packages/babel-types/lib/index.d.ts
	BABEL_ENV=development ./node_modules/.bin/gulp watch

flow:
	./node_modules/.bin/flow check --strip-root

lint:
	./node_modules/.bin/eslint scripts $(SOURCES) '*.js' --format=codeframe

fix: fix-json
	./node_modules/.bin/eslint scripts $(SOURCES) '*.js' --format=codeframe --fix

fix-json:
	./node_modules/.bin/prettier "{packages,codemod}/*/test/fixtures/**/options.json" --write --loglevel warn

clean: test-clean
	rm -f .npmrc
	rm -rf packages/babel-polyfill/browser*
	rm -rf packages/babel-polyfill/dist
	rm -rf coverage
	rm -rf packages/*/npm-debug*

test-clean:
	$(foreach source, $(SOURCES), \
		$(call clean-source-test, $(source)))

test-only:
	BABEL_ENV=test ./scripts/test.sh
	make test-clean

test: lint test-only

test-ci: bootstrap test-only

test-ci-coverage: SHELL:=/bin/bash
test-ci-coverage:
	BABEL_COVERAGE=true BABEL_ENV=test make bootstrap
	BABEL_ENV=test TEST_TYPE=cov ./scripts/test-cov.sh
	bash <(curl -s https://codecov.io/bash) -f coverage/coverage-final.json

bootstrap-flow:
	rm -rf ./build/flow
	mkdir -p ./build
	git clone --branch=master --single-branch --shallow-since=2018-11-01 https://github.com/facebook/flow.git ./build/flow
	cd build/flow && git checkout $(FLOW_COMMIT)

test-flow:
	node scripts/tests/flow/run_babel_parser_flow_tests.js

test-flow-ci: bootstrap test-flow

test-flow-update-whitelist:
	node scripts/tests/flow/run_babel_parser_flow_tests.js --update-whitelist

bootstrap-test262:
	rm -rf ./build/test262
	mkdir -p ./build
	git clone --branch=master --single-branch --shallow-since=2019-01-01 https://github.com/tc39/test262.git ./build/test262
	cd build/test262 && git checkout $(TEST262_COMMIT)

test-test262:
	node scripts/tests/test262/run_babel_parser_test262.js

test-test262-ci: bootstrap test-test262

test-test262-update-whitelist:
	node scripts/tests/test262/run_babel_parser_test262.js --update-whitelist

clone-license:
	./scripts/clone-license.sh

prepublish-build:
	make clean-lib
	rm -rf packages/babel-runtime/helpers
	rm -rf packages/babel-runtime-corejs2/helpers
	rm -rf packages/babel-runtime-corejs2/core-js
	NODE_ENV=production BABEL_ENV=production make build-dist
	make clone-license

prepublish:
	make bootstrap-only
	make prepublish-build
	make test

new-version:
	git pull --rebase
	./node_modules/.bin/lerna version --force-publish="@babel/runtime,@babel/runtime-corejs2,@babel/runtime-corejs3,@babel/standalone,@babel/preset-env-standalone"

# NOTE: Run make new-version first
publish: prepublish
	./node_modules/.bin/lerna publish from-git --require-scripts
	make clean

publish-ci: prepublish
ifneq ("$(NPM_TOKEN)", "")
	echo "//registry.npmjs.org/:_authToken=${NPM_TOKEN}" > .npmrc
else
	echo "Missing NPM_TOKEN env var"
	exit 1
endif
	./node_modules/.bin/lerna publish from-git --require-scripts --yes
	rm -f .npmrc
	make clean

bootstrap-only: clean-all
	yarn --ignore-engines
	./node_modules/.bin/lerna bootstrap -- --ignore-engines

bootstrap: bootstrap-only
	make build
	cd packages/babel-plugin-transform-runtime; \
	node scripts/build-dist.js

clean-lib:
	$(foreach source, $(SOURCES), \
		$(call clean-source-lib, $(source)))

clean-all:
	rm -rf node_modules
	rm -rf package-lock.json
	rm -rf .changelog

	$(foreach source, $(SOURCES), \
		$(call clean-source-all, $(source)))

	make clean

define clean-source-lib
	rm -rf $(1)/*/lib

endef

define clean-source-test
	rm -rf $(1)/*/test/tmp
	rm -rf $(1)/*/test-fixtures.json

endef

define clean-source-all
	rm -rf $(1)/*/lib
	rm -rf $(1)/*/node_modules
	rm -rf $(1)/*/package-lock.json

endef

=== debian/changelog ===
node-babel7 (7.4.5-8~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Pirate Praveen <praveen@debian.org>  Tue, 05 May 2020 07:50:36 +0530

node-babel7 (7.4.5-8) unstable; urgency=medium

  * Team upload
  * Add rebuild-itself autopkgtest test
  * Rename "npm" build profile into pkg.node-babel.npm, following policy

 -- Xavier Guimard <yadd@debian.org>  Sun, 03 May 2020 09:09:42 +0200

node-babel7 (7.4.5-7) unstable; urgency=medium

  * Update debian/tests/* to fix autopkgtest (remove modules no longer present)
  * Disable autopkgtest-pkg-nodejs

 -- Pirate Praveen <praveen@debian.org>  Sat, 02 May 2020 23:04:05 +0530

node-babel7 (7.4.5-6) unstable; urgency=medium

  * Source only upload (node-babel7 is available in archive)

 -- Pirate Praveen <praveen@debian.org>  Sat, 02 May 2020 12:21:28 +0530

node-babel7 (7.4.5-5) unstable; urgency=medium

  * Reupload to unstable

 -- Pirate Praveen <praveen@debian.org>  Sat, 02 May 2020 10:29:10 +0530

node-babel7 (7.4.5-4) experimental; urgency=medium

  [ Pirate Praveen ]
  * Embed build only module: fastparse
  * Update minimum version of node-supports-color to 5.3
  * Tighten minimum version of node-core-js
  * Allow node-gulp-babel from backports to satisfy dependency
  * Add npm as conditional build dependency for use with npm build profile
  * Tighten dependency on node-regenerator-transform (Closes: #958868)
  * Update minimum version of node-browserslist

  [ Xavier Guimard ]
  * Use pkg-js-tools auto link during build

  [ Pirate Praveen ]
  * Skip use of prettier and don't build babel-standalone
  * Use make build for more build steps
  * Run make build with npm build profile as well
  * Run make build-dist for complete build (Closes: #959110)
  * Skip babel-polyfill generation (browserify is not packaged)

 -- Pirate Praveen <praveen@debian.org>  Fri, 01 May 2020 19:45:29 +0530

node-babel7 (7.4.5-3) experimental; urgency=medium

  * Team upload
  * Remove temporarily "Provides" field to avoid conflicts with packages
    provided by node-babel=6

 -- Xavier Guimard <yadd@debian.org>  Thu, 23 Apr 2020 15:42:52 +0200

node-babel7 (7.4.5-2~bpo10+1) buster-backports; urgency=medium

  * Rebuild for fasttrack/buster-backports.

 -- Pirate Praveen <praveen@debian.org>  Sat, 25 Apr 2020 11:01:42 +0530

node-babel7 (7.4.5-2) experimental; urgency=medium

  * Add a breaks to node-babel before alternative mechanism
  * Require node-fs-readdir-recursive ≥ 1.1.0~
  * Remove acorn-walk, provided by acorn

 -- Xavier Guimard <yadd@debian.org>  Mon, 20 Apr 2020 16:41:23 +0200

node-babel7 (7.4.5-1) experimental; urgency=medium

  * Team upload
  * Rename temporarily to node-babel7
  * Update install
  * Update alternatives
  * Update copyright
  * New upstream version 7.4.5 (Closes: #954028)
  * Embed components: babeleslint-plugin-development, charcodes
  * Embed some little component for build
  * Refresh patches
  * Install all components
  * Update build & install
  * Update lintian overrides
  * Update autopkgtest
  * Update dependencies

 -- Xavier Guimard <yadd@debian.org>  Tue, 17 Mar 2020 09:54:21 +0100

node-babel (6.26.0+repack-3~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Pirate Praveen <praveen@debian.org>  Sat, 25 Apr 2020 10:32:58 +0530

node-babel (6.26.0+repack-3) unstable; urgency=medium

  * Team upload
  * Install binaries using alternatives to prepare distinct babel-7 package
  * Decalre compliance with policy 4.5.0
  * Update lintian overrides
  * Fix gulpfile for gulp ≥ 4

 -- Xavier Guimard <yadd@debian.org>  Sat, 14 Mar 2020 21:52:11 +0100

node-babel (6.26.0+repack-2~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Pirate Praveen <praveen@debian.org>  Sat, 18 Jan 2020 23:18:37 +0530

node-babel (6.26.0+repack-2) unstable; urgency=medium

  * Team upload
  * Back to unstable after successful tests

 -- Xavier Guimard <yadd@debian.org>  Sat, 11 Jan 2020 09:24:50 +0100

node-babel (6.26.0+repack-1) experimental; urgency=medium

  * Team upload
  * Require node-liftoff ≥ 3.1.0-4 and node-vinyl-fs ≥ 2.4.4-2 (fixes build)
  * Embed core-js 2.6, remove dependencies to node-core-js and repack
    (Closes: #947422)
  * Bump debhelper compatibility level to 12
  * Declare compliance with policy 4.4.1
  * Add "Rules-Requires-Root: no"
  * Update lintian overrides
  * Install embedded core-js into node-babel-runtime and link it into
    node-babel-register and node-babel-polyfill
  * Use pkg-js-tools auto install
  * Require pkg-js-tools ≥ 0.23
  * Update debian/copyright
  * Fix babel-runtime install
  * Add patchs descriptions
  * Update VCS fields to salsa
  * Update lintian overrides
  * Remove .npmignore files from install
  * Add upstream/metadata
  * Fix HOME to /tmp during autopkgtest

 -- Xavier Guimard <yadd@debian.org>  Sun, 05 Jan 2020 09:46:26 +0100

node-babel (6.26.0+dfsg-3) unstable; urgency=medium

  * Add new binary node-babel-plugin-transform-proto-to-assign

 -- Pirate Praveen <praveen@debian.org>  Tue, 23 Jan 2018 19:49:32 +0530

node-babel (6.26.0+dfsg-2) unstable; urgency=medium

  * Provide babeljs-external-helpers command

 -- Pirate Praveen <praveen@debian.org>  Sun, 07 Jan 2018 22:44:30 +0530

node-babel (6.26.0+dfsg-1) unstable; urgency=medium

  * New upstream release
  * Refresh patches
  * Bump standards version

 -- Pirate Praveen <praveen@debian.org>  Fri, 05 Jan 2018 21:37:50 +0530

node-babel (6.25.0+dfsg1-3) unstable; urgency=medium

  * Provide babeljs from node-babel-cli (as it provides /usr/bin/babeljs)

 -- Pirate Praveen <praveen@debian.org>  Fri, 15 Dec 2017 00:30:15 +0530

node-babel (6.25.0+dfsg1-2) unstable; urgency=medium

  * Drop node-babel-register dependency in node-babel-core (Closes: #876016)

 -- Pirate Praveen <praveen@debian.org>  Wed, 25 Oct 2017 23:45:49 +0530

node-babel (6.25.0+dfsg1-1) unstable; urgency=medium



=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

GULP=/usr/bin/gulp

%:
	dh $@ --with nodejs

override_dh_auto_build:
ifeq (,$(filter pkg.node-babel.npm,$(DEB_BUILD_OPTIONS) $(DEB_BUILD_PROFILES)))
	make build-dist
	cd charcodes; \
	for D in ./packages/*; do \
		mkdir "$$D/lib"; \
		babeljs-7 "$$D/src/index.js" -o "$$D/lib/index.js" --env-name "cjs"; \
		babeljs-7 "$$D/src/index.js" -o "$$D/lib/index.mjs" --env-name "esm"; \
	done
	rm -rf node_modules
else
	rm -rf node_modules
	HOME=`pwd` npm i
	make build-dist
	cd charcodes && HOME=`pwd` npm i && ./scripts/build.sh
endif

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS) $(DEB_BUILD_PROFILES)))
override_dh_auto_test:
endif

override_dh_install:
	dh_install
	find debian -name .npmignore -delete
	find debian -name .gitignore -delete

override_dh_fixperms:
	dh_fixperms
	chmod +x debian/node-babel7/usr/share/nodejs/@babel/cli/bin/babel-external-helpers.js \
		debian/node-babel7/usr/share/nodejs/@babel/cli/bin/babel.js \
		debian/node-babel7/usr/share/nodejs/@babel/node/bin/babel-node.js \
		debian/node-babel7/usr/share/nodejs/@babel/parser/bin/babel-parser.js

=== debian/watch ===
version=3
opts=\
repacksuffix=+dfsg,\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-babel7-$1.tar.gz/ \
 https://github.com/babel/babel/tags?after=v7.5.0 .*/archive/v?([\d\.]+).tar.gz

opts=\
component=babeleslint-plugin-development,\
dversionmangle=auto,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-eslint-plugin-babel-plugin-$1.tar.gz/ \
 https://github.com/babel/eslint-plugin-babel-plugin/tags .*/archive/v?([\d\.]+).tar.gz ignore

opts=\
component=charcodes,\
dversionmangle=auto,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-charcodes-$1.tar.gz/ \
 https://github.com/xtuc/charcodes/tags .*/archive/v?([\d\.]+).tar.gz ignore

## node-babel7 7.4.5+~cs7.3.8

=== debian/changelog ===
node-babel7 (7.4.5+~cs7.3.8-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Pirate Praveen <praveen@debian.org>  Fri, 29 May 2020 23:18:19 +0530

node-babel7 (7.4.5+~cs7.3.8-1) unstable; urgency=medium

  * Add component: js-levenshtein
  * New upstream version 7.4.5+~cs7.3.8
  * Add node-babel7.install as workaround for pkg-js-tools not installing
   the component

 -- Pirate Praveen <praveen@debian.org>  Sat, 16 May 2020 18:55:28 +0530

node-babel7 (7.4.5+~cs6.2.2-2) unstable; urgency=medium

  * Team upload
  * Add patch for node-core-js ≥ 3 (Closes: #960261)

 -- Xavier Guimard <yadd@debian.org>  Mon, 11 May 2020 10:30:57 +0200

node-babel7 (7.4.5+~cs6.2.2-1) unstable; urgency=medium

  * Team upload
  * Add pirates and node-modules-regexp components (Closes: #960018)
  * New upstream version 7.4.5+~cs6.2.2
    Really: 7.4.5+~1.0.1+~0.2.0+~4.0.1+~1.0.0
  * Update copyright

 -- Xavier Guimard <yadd@debian.org>  Fri, 08 May 2020 14:34:14 +0200

=== debian/control ===
Source: node-babel7
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Pirate Praveen <praveen@debian.org>
Section: javascript
#Testsuite: autopkgtest-pkg-nodejs
Priority: optional
Build-Depends:
 debhelper-compat (= 12)
 , gulp (>= 4)
 , node-browserslist (>= 4.6~)
 , node-chalk
 , node-clean-css
 , node-commander
 , node-core-js (>= 3.1.1~)
 , node-css-select
 , node-css-selector-tokenizer
 , node-debbundle-acorn
 , node-debug
 , node-globals
 , node-gulp-babel (>= 8.0~)
 , node-gulp-newer
 , node-gulp-plumber
 , node-gulp-rename
 , node-gulp-util
 , node-he
 , node-htmlparser2
 , node-invariant
 , node-liftoff (>= 3.1.0-4~)
 , node-lodash
 , node-merge-stream
 , node-multimatch
 , node-output-file-sync
 , node-recast
 , node-regenerator-transform (>= 0.14~)
 , node-rimraf
 , node-rollup-plugin-babel (>= 4.4.0)
 , node-rollup-plugin-node-resolve
 , node-rollup-plugin-replace
 , node-semver
 , node-through
 , node-through2
 , node-to-fast-properties
 , node-vinyl-fs (>= 2.4.4-2~)
 , pkg-js-tools (>= 0.9.35~)
 , rollup
 , uglifyjs
 , webpack
# for debian/build_modules/webpack-stream
 , node-supports-color (>= 5.3~)
 , npm <pkg.node-babel7.npm>
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/js-team/node-babel
Vcs-Git: https://salsa.debian.org/js-team/node-babel.git
Homepage: https://babeljs.io/
Rules-Requires-Root: no

Package: node-babel7
Architecture: all
Depends:
 ${misc:Depends}
 , node-browserslist (>= 4.6~)
 , node-chalk
 , node-commander
 , node-convert-source-map
 , node-core-js (>= 3.1.1~)
 , node-debug
 , node-esutils
 , node-find-cache-dir
 , node-fs-readdir-recursive (>= 1.1.0~)
 , node-glob
 , node-globals
 , node-invariant
 , node-js-tokens
 , node-jsesc
 , node-json5
 , node-lodash
 , node-mkdirp
 , node-output-file-sync
 , node-regenerator-runtime
 , node-regenerator-transform (>= 0.14~)
 , node-regexpu-core
 , node-resolve
 , node-semver
 , node-slash
 , node-source-map
 , node-source-map-support
 , node-to-fast-properties
 , node-to-regex
 , node-v8flags
 , nodejs
Breaks: node-babel-core (<< 6.26.0+repack-3~)
Description: Babel command line
 Babel is a JavaScript compiler to use next generation JavaScript, today.
 .
 ES2015 and beyond: Babel has support for the latest version of JavaScript
 through syntax transformers. These plugins allow you to use new syntax, right
 now without waiting for browser support.

=== debian/rules ===
--- 
+++ 
@@ -19,11 +19,13 @@
 		babeljs-7 "$$D/src/index.js" -o "$$D/lib/index.mjs" --env-name "esm"; \
 	done
 	rm -rf node_modules
+	cd pirates && sh -ex ../debian/nodejs/pirates/build
 else
 	rm -rf node_modules
 	HOME=`pwd` npm i
 	make build-dist
 	cd charcodes && HOME=`pwd` npm i && ./scripts/build.sh
+	cd pirates && npm i && npm run build
 endif
 
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS) $(DEB_BUILD_PROFILES)))

=== debian/tests/control ===
Tests: require
Depends: node-babel7
Restrictions: superficial

Test-command: dh_auto_configure --buildsystem=nodejs && make build-dist
Depends: @, @builddeps@
Restrictions: allow-stderr
Features: test-name=rebuild-itself

=== debian/watch ===
version=4
opts=\
repacksuffix=+dfsg,\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-babel7-$1.tar.gz/ \
 https://github.com/babel/babel/tags?after=v7.5.0 .*/archive/v?([\d\.]+).tar.gz group

opts=\
component=babeleslint-plugin-development,\
dversionmangle=auto,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-eslint-plugin-babel-plugin-$1.tar.gz/ \
 https://github.com/babel/eslint-plugin-babel-plugin/tags .*/archive/v?([\d\.]+).tar.gz checksum

opts=\
component=charcodes,\
dversionmangle=auto,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-charcodes-$1.tar.gz/ \
 https://github.com/xtuc/charcodes/tags .*/archive/v?([\d\.]+).tar.gz checksum

opts=\
component=pirates,\
dversionmangle=auto,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-pirates-$1.tar.gz/ \
 https://github.com/ariporad/pirates/tags .*/archive/v?([\d\.]+).tar.gz checksum

opts=\
component=node-modules-regexp,\
dversionmangle=auto,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-node-modules-regexp-$1.tar.gz/ \
 https://github.com/jamestalmage/node-modules-regexp/tags .*/archive/v?([\d\.]+).tar.gz checksum

opts=\
component=js-levenshtein,\
dversionmangle=auto,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-js-levenshtein-$1.tar.gz/ \
 https://github.com/gustf/js-levenshtein/tags?after=1.1.6 .*/archive/v?(1(?:.[\d\.]+)?).tar.gz checksum

## node-babel7 7.11.6+~cs65.71.39

=== Makefile ===
FLOW_COMMIT = a1f9a4c709dcebb27a5084acf47755fbae699c25
TEST262_COMMIT = 058adfed86b1d4129996faaf50a85ea55379a66a
TYPESCRIPT_COMMIT = ffa35d3272647fe48ddf173e1f0928f772c18630

FORCE_PUBLISH = "@babel/runtime,@babel/runtime-corejs2,@babel/runtime-corejs3,@babel/standalone"

# Fix color output until TravisCI fixes https://github.com/travis-ci/travis-ci/issues/7967
export FORCE_COLOR = true

SOURCES = packages codemods eslint

COMMA := ,
EMPTY :=
SPACE := $(EMPTY) $(EMPTY)
COMMA_SEPARATED_SOURCES = $(subst $(SPACE),$(COMMA),$(SOURCES))

YARN := yarn
NODE := $(YARN) node


.PHONY: build build-dist watch lint fix clean test-clean test-only test test-ci publish bootstrap

build: build-bundle
ifneq ("$(BABEL_COVERAGE)", "true")
	$(MAKE) build-standalone
endif

build-bundle: clean clean-lib
	$(YARN) gulp build
	$(MAKE) generate-standalone generate-type-helpers
	# call build again as the generated files might need to be compiled again.
	$(YARN) gulp build
	$(MAKE) build-typings
	$(MAKE) build-dist

build-bundle-ci: bootstrap-only
	$(MAKE) build-bundle

generate-standalone:
	$(NODE) packages/babel-standalone/scripts/generate.js

generate-type-helpers:
	$(NODE) packages/babel-types/scripts/generateTypeHelpers.js

build-typings: build-flow-typings build-typescript-typings

build-flow-typings:
	$(NODE) packages/babel-types/scripts/generators/flow.js > packages/babel-types/lib/index.js.flow

build-typescript-typings:
	$(NODE) packages/babel-types/scripts/generators/typescript.js > packages/babel-types/lib/index.d.ts

build-standalone: build-babel-standalone

build-standalone-ci: build-bundle-ci
	$(MAKE) build-standalone

build-babel-standalone:
	$(YARN) gulp build-babel-standalone

prepublish-build-standalone:
	BABEL_ENV=production IS_PUBLISH=true $(YARN) gulp build-babel-standalone

build-dist: build-polyfill-dist build-plugin-transform-runtime-dist

build-polyfill-dist:
	cd packages/babel-polyfill; \
	scripts/build-dist.sh

build-plugin-transform-runtime-dist:
	cd packages/babel-plugin-transform-runtime; \
	$(NODE) scripts/build-dist.js

build-no-bundle: clean clean-lib
	BABEL_ENV=development $(YARN) gulp build-no-bundle
	# Ensure that build artifacts for types are created during local
	# development too.
	# Babel-transform-fixture-test-runner requires minified polyfill for performance
	$(MAKE) generate-type-helpers build-typings build-polyfill-dist

build-no-bundle-ci: bootstrap-only
	$(MAKE) build-no-bundle

watch: build-no-bundle
	BABEL_ENV=development $(YARN) gulp watch

code-quality-ci: build-no-bundle-ci
	$(MAKE) flowcheck-ci lint-ci

flowcheck-ci:
	$(MAKE) flow

code-quality: flow lint

flow:
	$(YARN) flow check --strip-root

lint-ci: lint-js-ci lint-ts-ci check-compat-data-ci

lint-js-ci:
	$(MAKE) lint-js

lint-ts-ci:
	$(MAKE) lint-ts

check-compat-data-ci:
	$(MAKE) check-compat-data

lint: lint-js lint-ts

lint-js:
	BABEL_ENV=test $(YARN) eslint scripts $(SOURCES) '*.js' --format=codeframe

lint-ts:
	scripts/lint-ts-typings.sh

fix: fix-json fix-js

fix-js:
	$(YARN) eslint scripts $(SOURCES) '*.js' --format=codeframe --fix

fix-json:
	$(YARN) prettier "{$(COMMA_SEPARATED_SOURCES)}/*/test/fixtures/**/options.json" --write --loglevel warn

check-compat-data:
	cd packages/babel-compat-data; CHECK_COMPAT_DATA=true $(YARN) run build-data

build-compat-data:
	cd packages/babel-compat-data; $(YARN) run build-data

clean: test-clean
	rm -f .npmrc
	rm -rf packages/babel-polyfill/browser*
	rm -rf packages/babel-polyfill/dist
	rm -rf coverage
	rm -rf packages/*/npm-debug*
	rm -rf node_modules/.cache

test-clean:
	$(foreach source, $(SOURCES), \
		$(call clean-source-test, $(source)))

# Does not work on Windows; use "$(YARN) jest" instead
test-only:
	BABEL_ENV=test ./scripts/test.sh
	$(MAKE) test-clean

test: lint test-only

test-ci: jest-ci

jest-ci: build-standalone-ci
	BABEL_ENV=test $(YARN) jest --maxWorkers=4 --ci
	$(MAKE) test-clean

# Does not work on Windows
test-ci-coverage: SHELL:=/bin/bash
test-ci-coverage:
	BABEL_COVERAGE=true BABEL_ENV=test $(MAKE) bootstrap
	BABEL_ENV=test TEST_TYPE=cov ./scripts/test-cov.sh
	bash <(curl -s https://codecov.io/bash) -f coverage/coverage-final.json

bootstrap-flow:
	rm -rf build/flow
	mkdir -p build
	git clone --single-branch --shallow-since=2018-11-01 https://github.com/facebook/flow.git build/flow
	cd build/flow && git checkout -q $(FLOW_COMMIT)

test-flow:
	$(NODE) scripts/parser-tests/flow

test-flow-ci: build-bundle-ci bootstrap-flow
	$(MAKE) test-flow

test-flow-update-allowlist:
	$(NODE) scripts/parser-tests/flow --update-allowlist

bootstrap-typescript:
	rm -rf ./build/typescript
	mkdir -p ./build
	git clone --single-branch --shallow-since=2019-09-01 https://github.com/microsoft/TypeScript.git ./build/typescript
	cd build/typescript && git checkout -q $(TYPESCRIPT_COMMIT)

test-typescript:
	$(NODE) scripts/parser-tests/typescript

test-typescript-ci: build-bundle-ci bootstrap-typescript
	$(MAKE) test-typescript

test-typescript-update-allowlist:
	$(NODE) scripts/parser-tests/typescript --update-allowlist

bootstrap-test262:
	rm -rf build/test262
	mkdir -p build
	git clone --single-branch --shallow-since=2019-12-01 https://github.com/tc39/test262.git build/test262
	cd build/test262 && git checkout -q $(TEST262_COMMIT)

test-test262:
	$(NODE) scripts/parser-tests/test262

test-test262-ci: build-bundle-ci bootstrap-test262
	$(MAKE) test-test262

test-test262-update-allowlist:
	$(NODE) scripts/parser-tests/test262 --update-allowlist

# Does not work on Windows
clone-license:
	./scripts/clone-license.sh

prepublish-build: clean-lib clean-runtime-helpers
	NODE_ENV=production BABEL_ENV=production $(MAKE) build-bundle
	$(MAKE) prepublish-build-standalone clone-license

prepublish:
	$(MAKE) bootstrap-only
	$(MAKE) prepublish-build
	IS_PUBLISH=true $(MAKE) test

# --exclude-dependents support is added by .yarn-patches/@lerna/version
new-version:
	git pull --rebase
	$(YARN) lerna version --exclude-dependents --force-publish=$(FORCE_PUBLISH)

# NOTE: Run make new-version first
publish: prepublish
	$(YARN) lerna publish from-git
	$(MAKE) clean

publish-ci: prepublish
ifneq ("$(NPM_TOKEN)", "")
	echo "//registry.npmjs.org/:_authToken=${NPM_TOKEN}" > .npmrc
else
	echo "Missing NPM_TOKEN env var"
	exit 1
endif
	$(YARN) lerna publish from-git --yes
	rm -f .npmrc
	$(MAKE) clean

publish-test:
ifneq ("$(I_AM_USING_VERDACCIO)", "I_AM_SURE")
	echo "You probably don't know what you are doing"
	exit 1
endif
	$(YARN) lerna version $(VERSION) --exclude-dependents --force-publish=$(FORCE_PUBLISH)  --no-push --yes --tag-version-prefix="version-e2e-test-"
	$(MAKE) prepublish-build
	$(YARN) lerna publish from-git --registry http://localhost:4873 --yes --tag-version-prefix="version-e2e-test-"
	$(MAKE) clean

bootstrap-only: clean-all
	yarn install

bootstrap: bootstrap-only
	$(MAKE) build

clean-lib:
	$(foreach source, $(SOURCES), \
		$(call clean-source-lib, $(source)))

clean-runtime-helpers:
	rm -f packages/babel-runtime/helpers/**/*.js
	rm -f packages/babel-runtime-corejs2/helpers/**/*.js
	rm -f packages/babel-runtime-corejs3/helpers/**/*.js
	rm -rf packages/babel-runtime-corejs2/core-js

clean-all:
	rm -rf node_modules
	rm -rf package-lock.json
	rm -rf .changelog

	$(foreach source, $(SOURCES), \
		$(call clean-source-all, $(source)))

	$(MAKE) clean

update-env-corejs-fixture:
	rm -rf packages/babel-preset-env/node_modules/core-js-compat
	$(YARN)
	$(MAKE) build-bundle
	OVERWRITE=true $(YARN) jest packages/babel-preset-env

define clean-source-lib
	rm -rf $(1)/*/lib

endef

define clean-source-test
	rm -rf $(1)/*/test/tmp
	rm -rf $(1)/*/test-fixtures.json

endef

define clean-source-all
	$(call clean-source-lib, $1)
	rm -rf $(1)/*/node_modules
	rm -rf $(1)/*/package-lock.json

endef

=== debian/changelog ===
node-babel7 (7.11.6+~cs65.71.39-1) unstable; urgency=medium

  * Team upload
  * Increase alternative level to take precedence over node-babel 6
  * New upstream version 7.11.6+~cs65.71.39
  * Update node-rollup-plugin* build dependencies to use new @rollup/plugin*
  * Refresh patches
  * Embed rollup-plugin-inject and rollup-plugin-node-polyfills for build only

 -- Xavier Guimard <yadd@debian.org>  Thu, 24 Sep 2020 22:19:56 +0200

node-babel7 (7.11.4+~cs65.71.38-1) unstable; urgency=medium

  * Team upload
  * New upstream version 7.11.4+~cs65.71.38
  * Refresh patches

 -- Xavier Guimard <yadd@debian.org>  Wed, 26 Aug 2020 11:31:24 +0200

node-babel7 (7.11.3+~cs65.71.38-1) unstable; urgency=medium

  * Team upload
  * New upstream version 7.11.3+~cs65.71.38
  * Refresh patches

 -- Xavier Guimard <yadd@debian.org>  Sun, 16 Aug 2020 07:48:41 +0200

node-babel7 (7.11.0+~cs65.71.38-1) unstable; urgency=medium

  * Team upload
  * New upstream version 7.11.0+~cs65.71.38
  * Refresh patches
  * Update lintian overrides
  * Bump debhelper compatibility level to 13

 -- Xavier Guimard <yadd@debian.org>  Fri, 14 Aug 2020 07:33:27 +0200

node-babel7 (7.10.5+~cs65.71.38-4) unstable; urgency=medium

  * Update minimum version of node-lodash to fix ftbfs

 -- Pirate Praveen <praveen@debian.org>  Tue, 28 Jul 2020 13:13:36 +0530

node-babel7 (7.10.5+~cs65.71.38-3) unstable; urgency=medium

  * Switch to yarnpkg from npm for bootstrap build (npm no longer works because
    package.json uses yarn specific features)
  * Binary included upload with DEB_BUILD_PROFILES=pkg.node-babel7.yarnpkg
    (Closes: #965353)
  * Add git as conditional dependency in bootstrapping build profile
  * Force yarnpkg in component package.json

 -- Pirate Praveen <praveen@debian.org>  Sun, 26 Jul 2020 22:26:35 +0530

node-babel7 (7.10.5+~cs65.71.38-2) unstable; urgency=medium

  * Team upload
  * Add "Provides" field to declare babeljs and all installed modules
    (See: #965173)

 -- Xavier Guimard <yadd@debian.org>  Sun, 19 Jul 2020 09:56:24 +0200

node-babel7 (7.10.5+~cs65.71.38-1) unstable; urgency=medium

  * Team upload
  * New upstream version 7.10.5+~cs65.71.38
  * Refresh patches

 -- Xavier Guimard <yadd@debian.org>  Thu, 16 Jul 2020 22:17:16 +0200

node-babel7 (7.10.4+~cs65.71.38-1) unstable; urgency=medium

  * Team upload
  * Remove duplicate eslint-plugin-babel-plugin component
  * New upstream version 7.10.4+~cs65.71.38
  * Refresh patches
  * Install @babel/eslint-* modules
  * Update lintian overrides

 -- Xavier Guimard <yadd@debian.org>  Wed, 01 Jul 2020 22:40:22 +0200

node-babel7 (7.10.2+~cs66.71.39-1) unstable; urgency=medium

  * Team upload
  * New upstream version 7.10.2 (no component changes)
  * Refresh patches
  * Update lintian overrides

 -- Xavier Guimard <yadd@debian.org>  Sat, 13 Jun 2020 17:25:28 +0200

node-babel7 (7.9.6+~cs66.71.39-8) unstable; urgency=medium

  * Team upload
  * Source only upload

 -- Xavier Guimard <yadd@debian.org>  Sat, 13 Jun 2020 14:25:32 +0200

node-babel7 (7.9.6+~cs66.71.39-7) unstable; urgency=medium

  * Team upload
  * Update debian/clean
  * Update core-js patch (fix node-string-decoder build)

 -- Xavier Guimard <yadd@debian.org>  Fri, 12 Jun 2020 08:04:29 +0200

node-babel7 (7.9.6+~cs66.71.39-6) unstable; urgency=medium

  * Team upload
  * Back to unstable

 -- Xavier Guimard <yadd@debian.org>  Fri, 12 Jun 2020 07:00:08 +0200

node-babel7 (7.9.6+~cs66.71.39-5) experimental; urgency=medium

  * Fix autopkgtest

 -- Xavier Guimard <yadd@debian.org>  Sat, 30 May 2020 22:33:58 +0200

node-babel7 (7.9.6+~cs66.71.39-4) experimental; urgency=medium

  * Team upload
  * Add patch for core-js ≥ 3

 -- Xavier Guimard <yadd@debian.org>  Wed, 20 May 2020 09:26:09 +0200

node-babel7 (7.9.6+~cs66.71.39-3) experimental; urgency=medium

  * Team upload
  * Require node-babel7 ≥ 7.9.6 to build
  * Fix large number patch
  * Fix build profile
  * Fix pirates build in npm profile

 -- Xavier Guimard <yadd@debian.org>  Tue, 19 May 2020 23:06:33 +0200

node-babel7 (7.9.6+~cs66.71.39-2) experimental; urgency=medium

  * Team upload
  * Fix bad transpilation for large numbers

 -- Xavier Guimard <yadd@debian.org>  Tue, 19 May 2020 14:53:11 +0200

node-babel7 (7.9.6+~cs66.71.39-1) experimental; urgency=medium

  * Team upload
  * Embed components: @babel/preset-modules babel-plugin-dynamic-import-node gensync
  * Refresh patches
  * Update dependencies:
    + add build dependencies to node-leven, node-rollup-plugin-commonjs,
      node-rollup-plugin-json
    + require node-commander ≥ 4.1.1
  * Embed components (not yet in 7.9.6 but needed to build it):
    + @babel/plugin-syntax-export-namespace-from
    + @babel/plugin-syntax-object-rest-spread
    + @babel/plugin-syntax-async-generators @babel/plugin-syntax-dynamic-import
    + @babel/plugin-syntax-json-strings
    + @babel/plugin-syntax-nullish-coalescing-operator
    + @babel/plugin-syntax-optional-catch-binding
    + @babel/plugin-syntax-optional-chaining
  * New upstream version 7.9.6+~cs66.71.39
  * Clean build modules
  * Embed build modules: browserify-fs, buffer-es6, jest-worker, process-es6,
    rollup-plugin-node-builtins, rollup-plugin-node-globals,
    rollup-plugin-terser, serialize-javascript
  * Update lintian overrides

 -- Xavier Guimard <yadd@debian.org>  Tue, 19 May 2020 13:19:05 +0200

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,13 @@
 Section: javascript
 #Testsuite: autopkgtest-pkg-nodejs
 Priority: optional
-Build-Depends:
- debhelper-compat (= 12)
+Build-Depends: debhelper-compat (= 13)
  , gulp (>= 4)
+ , node-babel7 (>= 7.9.6) <!pkg.node-babel7.npm>
  , node-browserslist (>= 4.6~)
  , node-chalk
  , node-clean-css
- , node-commander
+ , node-commander (>= 4.1.1)
  , node-core-js (>= 3.1.1~)
  , node-css-select
  , node-css-selector-tokenizer
@@ -25,29 +25,33 @@
  , node-he
  , node-htmlparser2
  , node-invariant
+ , node-leven (>= 3.1.0+~cs1.1.1)
  , node-liftoff (>= 3.1.0-4~)
- , node-lodash
+ , node-lodash (>= 4.17.19+dfsg1~)
  , node-merge-stream
  , node-multimatch
  , node-output-file-sync
  , node-recast
  , node-regenerator-transform (>= 0.14~)
  , node-rimraf
- , node-rollup-plugin-babel (>= 4.4.0)
- , node-rollup-plugin-node-resolve
- , node-rollup-plugin-replace
+ , node-rollup-plugin-babel (>= 5.2.0)
+ , node-rollup-plugin-commonjs (>= 13.0.0)
+ , node-rollup-plugin-json (>= 4.1.0)
+ , node-rollup-plugin-node-resolve (>= 9.0.0)
+ , node-rollup-plugin-replace (>= 2.3.3)
  , node-semver
+# for debian/build_modules/webpack-stream
+ , node-supports-color (>= 5.3~)
  , node-through
  , node-through2
  , node-to-fast-properties
  , node-vinyl-fs (>= 2.4.4-2~)
+ , yarnpkg <pkg.node-babel7.yarnpkg>
+ , git <pkg.node-babel7.yarnpkg>
  , pkg-js-tools (>= 0.9.35~)
  , rollup
  , uglifyjs
  , webpack
-# for debian/build_modules/webpack-stream
- , node-supports-color (>= 5.3~)
- , npm <pkg.node-babel7.npm>
 Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/js-team/node-babel
 Vcs-Git: https://salsa.debian.org/js-team/node-babel.git
@@ -56,11 +60,10 @@
 
 Package: node-babel7
 Architecture: all
-Depends:
- ${misc:Depends}
+Depends: ${misc:Depends}
  , node-browserslist (>= 4.6~)
  , node-chalk
- , node-commander
+ , node-commander (>= 4.1.1)
  , node-convert-source-map
  , node-core-js (>= 3.1.1~)
  , node-debug
@@ -73,7 +76,8 @@
  , node-js-tokens
  , node-jsesc
  , node-json5
- , node-lodash
+ , node-leven
+ , node-lodash (>= 4.17.19+dfsg1~)
  , node-mkdirp
  , node-output-file-sync
  , node-regenerator-runtime
@@ -89,6 +93,7 @@
  , node-v8flags
  , nodejs
 Breaks: node-babel-core (<< 6.26.0+repack-3~)
+Provides: ${nodejs:Provides}, babeljs
 Description: Babel command line
  Babel is a JavaScript compiler to use next generation JavaScript, today.
  .

=== debian/rules ===
--- 
+++ 
@@ -10,8 +10,10 @@
 	dh $@ --with nodejs
 
 override_dh_auto_build:
-ifeq (,$(filter pkg.node-babel.npm,$(DEB_BUILD_OPTIONS) $(DEB_BUILD_PROFILES)))
-	make build-dist
+ifeq (,$(filter pkg.node-babel7.yarnpkg,$(DEB_BUILD_OPTIONS) $(DEB_BUILD_PROFILES)))
+	rm -f node_modules/@babel/code-frame
+	cd babel-plugin-dynamic-import-node && babeljs-7 src --out-dir lib
+	make build build-dist
 	cd charcodes; \
 	for D in ./packages/*; do \
 		mkdir "$$D/lib"; \
@@ -22,10 +24,11 @@
 	cd pirates && sh -ex ../debian/nodejs/pirates/build
 else
 	rm -rf node_modules
-	HOME=`pwd` npm i
-	make build-dist
-	cd charcodes && HOME=`pwd` npm i && ./scripts/build.sh
-	cd pirates && npm i && npm run build
+	HOME=`pwd` yarnpkg install
+	make build build-dist
+	cd babel-plugin-dynamic-import-node && HOME=`pwd` yarnpkg install && yarnpkg build
+	cd charcodes && HOME=`pwd` yarnpkg install && ./scripts/build.sh
+	cd pirates && HOME=`pwd` yarnpkg install && yarnpkg build
 endif
 
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS) $(DEB_BUILD_PROFILES)))

=== debian/tests/control ===
Tests: require
Depends: node-babel7
Restrictions: superficial, allow-stderr

Test-command: dh_auto_configure --buildsystem=nodejs && ./debian/rules override_dh_auto_build
Depends: @, @builddeps@
Restrictions: allow-stderr
Features: test-name=rebuild-itself

=== debian/watch ===
--- 
+++ 
@@ -3,13 +3,7 @@
 repacksuffix=+dfsg,\
 dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
 filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-babel7-$1.tar.gz/ \
- https://github.com/babel/babel/tags?after=v7.5.0 .*/archive/v?([\d\.]+).tar.gz group
-
-opts=\
-component=babeleslint-plugin-development,\
-dversionmangle=auto,\
-filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-eslint-plugin-babel-plugin-$1.tar.gz/ \
- https://github.com/babel/eslint-plugin-babel-plugin/tags .*/archive/v?([\d\.]+).tar.gz checksum
+ https://github.com/babel/babel/tags .*/archive/v?([\d\.]+).tar.gz group
 
 opts=\
 component=charcodes,\
@@ -34,3 +28,32 @@
 dversionmangle=auto,\
 filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-js-levenshtein-$1.tar.gz/ \
  https://github.com/gustf/js-levenshtein/tags?after=1.1.6 .*/archive/v?(1(?:.[\d\.]+)?).tar.gz checksum
+
+# It is not recommended use npmregistry. Please investigate more.
+# Take a look at https://wiki.debian.org/debian/watch/
+opts="searchmode=plain,component=babelpreset-modules,pgpmode=none" \
+ https://registry.npmjs.org/@babel/preset-modules https://registry.npmjs.org/@babel/preset-modules/-/preset-modules-([\d\.]+)@ARCHIVE_EXT@ checksum
+
+opts=\
+component=babel-plugin-dynamic-import-node,\
+dversionmangle=auto,\
+filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-babel-plugin-dynamic-import-node-$1.tar.gz/ \
+ https://github.com/airbnb/babel-plugin-dynamic-import-node/tags .*/archive/v?([\d\.]+).tar.gz checksum
+
+# It is not recommended use npmregistry. Please investigate more.
+# Take a look at https://wiki.debian.org/debian/watch/
+opts="searchmode=plain,component=gensync,pgpmode=none,uversionmangle=s/-beta.*//" \
+ https://registry.npmjs.org/gensync https://registry.npmjs.org/gensync/-/gensync-([\w\.\-]+)@ARCHIVE_EXT@ checksum
+
+# It is not recommended use npmregistry. Please investigate more.
+# Take a look at https://wiki.debian.org/debian/watch/
+opts="searchmode=plain,component=babelplugin-syntax-export-namespace-from,pgpmode=none" \
+ https://registry.npmjs.org/@babel/plugin-syntax-export-namespace-from https://registry.npmjs.org/@babel/plugin-syntax-export-namespace-from/-/plugin-syntax-export-namespace-from-([\d\.]+)@ARCHIVE_EXT@ checksum
+
+# It is not recommended use npmregistry. Please investigate more.
+# Take a look at https://wiki.debian.org/debian/watch/
+opts="searchmode=plain,component=babelplugin-syntax-object-rest-spread,pgpmode=none" \
+ https://registry.npmjs.org/@babel/plugin-syntax-object-rest-spread https://registry.npmjs.org/@babel/plugin-syntax-object-rest-spread/-/plugin-syntax-object-rest-spread-([\d\.]+)@ARCHIVE_EXT@ checksum
+
+# It is not recommended use npmregistry. Please investigate more.
+# Take a look at https://wiki.debian.org/debian/watch/

## node-babel7 7.12.4+~cs142.117.99

=== debian/changelog ===
node-babel7 (7.12.4+~cs142.117.99-1) unstable; urgency=medium

  * Team upload
  * Embed typescript declarations
  * New upstream version 7.12.4+~cs142.117.99 (no other changes)

 -- Xavier Guimard <yadd@debian.org>  Tue, 27 Oct 2020 13:22:25 +0100

node-babel7 (7.12.4+~cs86.100.54-1) unstable; urgency=medium

  * Team upload
  * Embed babel-preset-current-node-syntax and @babel/plugin-syntax-bigint
  * New upstream version 7.12.4+~cs86.100.54 (no other changes)

 -- Xavier Guimard <yadd@debian.org>  Tue, 27 Oct 2020 08:50:20 +0100

node-babel7 (7.12.4+~cs79.91.47-1) unstable; urgency=medium

  * Team upload
  * Use dh-sequence-nodejs
  * New upstream version 7.12.4+~cs79.91.47
    + Updates babel itself to 7.12.4
    + Embed new components:
      - @babel/plugin-syntax-logical-assignment-operators
      - @babel/plugin-syntax-numeric-separator
  * Update copyright

 -- Xavier Guimard <yadd@debian.org>  Wed, 21 Oct 2020 12:01:35 +0200

=== debian/control ===
--- 
+++ 
@@ -48,7 +48,7 @@
  , node-vinyl-fs (>= 2.4.4-2~)
  , yarnpkg <pkg.node-babel7.yarnpkg>
  , git <pkg.node-babel7.yarnpkg>
- , pkg-js-tools (>= 0.9.35~)
+ , dh-sequence-nodejs
  , rollup
  , uglifyjs
  , webpack

## node-babel7 7.12.6+~cs150.126.101

=== Makefile ===
--- 
+++ 
@@ -1,8 +1,8 @@
 FLOW_COMMIT = a1f9a4c709dcebb27a5084acf47755fbae699c25
-TEST262_COMMIT = 058adfed86b1d4129996faaf50a85ea55379a66a
-TYPESCRIPT_COMMIT = ffa35d3272647fe48ddf173e1f0928f772c18630
-
-FORCE_PUBLISH = "@babel/runtime,@babel/runtime-corejs2,@babel/runtime-corejs3,@babel/standalone"
+TEST262_COMMIT = d9740c172652d36194ceae3ed3d0484e9968ebc3
+TYPESCRIPT_COMMIT = da8633212023517630de5f3620a23736b63234b1
+
+FORCE_PUBLISH = -f @babel/runtime -f @babel/runtime-corejs2 -f @babel/runtime-corejs3 -f @babel/standalone
 
 # Fix color output until TravisCI fixes https://github.com/travis-ci/travis-ci/issues/7967
 export FORCE_COLOR = true
@@ -158,7 +158,6 @@
 test-ci-coverage:
 	BABEL_COVERAGE=true BABEL_ENV=test $(MAKE) bootstrap
 	BABEL_ENV=test TEST_TYPE=cov ./scripts/test-cov.sh
-	bash <(curl -s https://codecov.io/bash) -f coverage/coverage-final.json
 
 bootstrap-flow:
 	rm -rf build/flow
@@ -214,19 +213,26 @@
 	$(MAKE) prepublish-build-standalone clone-license
 
 prepublish:
+	$(MAKE) check-yarn-bug-1882
 	$(MAKE) bootstrap-only
 	$(MAKE) prepublish-build
 	IS_PUBLISH=true $(MAKE) test
 
-# --exclude-dependents support is added by .yarn-patches/@lerna/version
 new-version:
 	git pull --rebase
-	$(YARN) lerna version --exclude-dependents --force-publish=$(FORCE_PUBLISH)
+	$(YARN) release-tool version $(FORCE_PUBLISH)
 
 # NOTE: Run make new-version first
 publish: prepublish
-	$(YARN) lerna publish from-git
+	$(YARN) release-tool publish
 	$(MAKE) clean
+
+check-yarn-bug-1882:
+ifneq ("$(shell grep 3155328e5 .yarn/releases/yarn-*.cjs -c)", "0")
+	echo "Your version of yarn is affected by https://github.com/yarnpkg/berry/issues/1882"
+	echo "Please run `sed -i -e "s/3155328e5/4567890e5/g" .yarn/releases/yarn-*.cjs`"
+	exit 1
+endif
 
 publish-ci: prepublish
 ifneq ("$(NPM_TOKEN)", "")
@@ -235,7 +241,7 @@
 	echo "Missing NPM_TOKEN env var"
 	exit 1
 endif
-	$(YARN) lerna publish from-git --yes
+	$(YARN) release-tool publish --yes
 	rm -f .npmrc
 	$(MAKE) clean
 
@@ -244,9 +250,9 @@
 	echo "You probably don't know what you are doing"
 	exit 1
 endif
-	$(YARN) lerna version $(VERSION) --exclude-dependents --force-publish=$(FORCE_PUBLISH)  --no-push --yes --tag-version-prefix="version-e2e-test-"
+	$(YARN) release-tool version $(VERSION) --all --yes --tag-version-prefix="version-e2e-test-"
 	$(MAKE) prepublish-build
-	$(YARN) lerna publish from-git --registry http://localhost:4873 --yes --tag-version-prefix="version-e2e-test-"
+	YARN_NPM_PUBLISH_REGISTRY=http://localhost:4873 $(YARN) release-tool publish --yes --tag-version-prefix="version-e2e-test-"
 	$(MAKE) clean
 
 bootstrap-only: clean-all

## node-babel7 7.12.9+~cs150.130.99

=== Makefile ===
--- 
+++ 
@@ -36,6 +36,9 @@
 build-bundle-ci: bootstrap-only
 	$(MAKE) build-bundle
 
+generate-tsconfig:
+	$(NODE) scripts/generators/tsconfig.js
+
 generate-standalone:
 	$(NODE) packages/babel-standalone/scripts/generate.js
 
@@ -49,6 +52,7 @@
 
 build-typescript-typings:
 	$(NODE) packages/babel-types/scripts/generators/typescript.js > packages/babel-types/lib/index.d.ts
+	$(NODE) packages/babel-types/scripts/generators/typescript.js --ts3.7 > packages/babel-types/lib/index-ts3.7.d.ts
 
 build-standalone: build-babel-standalone
 
@@ -85,12 +89,16 @@
 	BABEL_ENV=development $(YARN) gulp watch
 
 code-quality-ci: build-no-bundle-ci
-	$(MAKE) flowcheck-ci lint-ci
+	$(MAKE) tscheck flowcheck-ci lint-ci
 
 flowcheck-ci:
 	$(MAKE) flow
 
-code-quality: flow lint
+code-quality: tscheck flow lint
+
+tscheck: generate-tsconfig
+	make build-typescript-typings
+	$(YARN) tsc -b .
 
 flow:
 	$(YARN) flow check --strip-root
@@ -109,7 +117,7 @@
 lint: lint-js lint-ts
 
 lint-js:
-	BABEL_ENV=test $(YARN) eslint scripts $(SOURCES) '*.js' --format=codeframe
+	BABEL_ENV=test $(YARN) eslint scripts $(SOURCES) '*.{js,ts}' --format=codeframe --ext .js,.cjs,.mjs,.ts
 
 lint-ts:
 	scripts/lint-ts-typings.sh
@@ -117,7 +125,7 @@
 fix: fix-json fix-js
 
 fix-js:
-	$(YARN) eslint scripts $(SOURCES) '*.js' --format=codeframe --fix
+	$(YARN) eslint scripts $(SOURCES) '*.{js,ts}' --format=codeframe --ext .js,.cjs,.mjs,.ts --fix
 
 fix-json:
 	$(YARN) prettier "{$(COMMA_SEPARATED_SOURCES)}/*/test/fixtures/**/options.json" --write --loglevel warn
@@ -136,6 +144,12 @@
 	rm -rf packages/*/npm-debug*
 	rm -rf node_modules/.cache
 
+clean-tsconfig:
+	rm -f tsconfig.json
+	rm -f packages/*/tsconfig.{tsbuildinfo,json}
+	rm -f codemods/*/tsconfig.{tsbuildinfo,json}
+	rm -f eslint/*/tsconfig.{tsbuildinfo,json}
+
 test-clean:
 	$(foreach source, $(SOURCES), \
 		$(call clean-source-test, $(source)))
@@ -217,13 +231,25 @@
 	$(MAKE) bootstrap-only
 	$(MAKE) prepublish-build
 	IS_PUBLISH=true $(MAKE) test
+	# We don't want to publish TS-related files yet, except for @babel/types
+	rm -f packages/*/lib/**/*.d.ts{,.map}
+	rm -f codemods/*/lib/**/*.d.ts{,.map}
+	rm -f eslint/*/lib/**/*.d.ts{,.map}
+	$(MAKE) clean-tsconfig
+	$(MAKE) build-typescript-typings
 
 new-version:
 	git pull --rebase
 	$(YARN) release-tool version $(FORCE_PUBLISH)
 
 # NOTE: Run make new-version first
-publish: prepublish
+publish:
+	@echo "Please confirm you have stopped make watch. (y)es, [N]o:"; \
+	read CLEAR; \
+	if [ "_$$CLEAR" != "_y" ]; then \
+		exit 1; \
+	fi
+	$(MAKE) prepublish
 	$(YARN) release-tool publish
 	$(MAKE) clean
 
@@ -258,7 +284,7 @@
 bootstrap-only: clean-all
 	yarn install
 
-bootstrap: bootstrap-only
+bootstrap: bootstrap-only generate-tsconfig
 	$(MAKE) build
 
 clean-lib:
@@ -271,7 +297,7 @@
 	rm -f packages/babel-runtime-corejs3/helpers/**/*.js
 	rm -rf packages/babel-runtime-corejs2/core-js
 
-clean-all:
+clean-all: clean-tsconfig
 	rm -rf node_modules
 	rm -rf package-lock.json
 	rm -rf .changelog

=== debian/changelog ===
node-babel7 (7.12.9+~cs150.130.99-1) unstable; urgency=medium

  * Team upload

  [ lintian-brush ]
  * Fix field name case in debian/tests/control (Test-command => Test-Command).
  * Set upstream metadata fields: Security-Contact.

  [ Xavier Guimard ]
  * Declare compliance with policy 4.5.1
  * New upstream version 7.12.9+~cs150.130.99
    Updates:
     + babel 7.12.9
     + @types/babel 7.4.0
  * Refresh patches
  * Remove useless dependencies
  * Update require test
  * Update lintian overrides

 -- Xavier Guimard <yadd@debian.org>  Sat, 28 Nov 2020 17:04:44 +0100

node-babel7 (7.12.6+~cs150.126.101-1) unstable; urgency=medium

  * Team upload
  * New upstream version 7.12.6+~cs150.126.101:
    + Update babel itself to 7.12.6
    + Embed @babel/plugin-syntax-import-meta
  * Add dependencies to node-make-dir and node-quick-lru

 -- Xavier Guimard <yadd@debian.org>  Sun, 08 Nov 2020 13:01:05 +0100
